/* Basic reset */
/***************/
* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}

/* Main colors */
/***************/
:root {
    --accent-color: #0099DD;
	--dark-color: #2F505E;
	--light-color: #37ACDE;
	--black-color: #333333; /* color: var(--black-color); */
}

/* Body styling */
/****************/
body, html {
	width: 960px;
	min-height: 100vh;
	margin: auto;
	
	display: flex;
    flex-direction: column;

	background-color: #ffffff; /* Page background color */
	
	/* General font style */
	font-family: Roboto;
	color: var(--black-color);
}

main {
    flex: 1; /* Takes up all remaining space */
	justify-content: center;
    align-items: center;
}

/* This is used for the grid design */
/************************************/
.grid-container {
  display: grid;
  grid-template-columns: repeat(5, 1fr); /* 5 equal columns */
  gap: 20px;
}

.grid-item {
  background-color: #f4f4f4;
  padding: 20px;
  border: 1px solid #ccc;
  text-align: center;
}

/* General styling */
/*******************/
a {
	font-weight: bold;
	text-decoration: none; 
	color: var(--accent-color);
}

a:hover {
	color: var(--light-color);
}

p {
	font-size: 12px;
	line-height: 20px;
}

h1 {
	margin-bottom: 20px;
	text-align: center;	
	
}

h2 {
	text-align: center;	
}

/* Header box styling */
/**********************/
.header-box {
	width: 100%;
	height: 100px;
	margin-bottom: 60px;
	background-color: var(--accent-color); 
	align-items: center; /* Used vor vertical align */
	
	/* Font */
	font-size: 80px;
	line-height: 80px;
	color: #ffffff;
}

.header-text {	
	font-weight: 300;
	text-align: left;
	margin-left: -10px;
	grid-column: 1 / span 1; /* Starts in column 1, spans 1 columns */
}

.header-text-bold {
	font-weight: 1000;
	text-align: right;
	grid-column: 2 / span 3; /* Starts in column 2, spans 3 columns */
}

/* Footer box styling */
/**********************/
.footer-box {
	width: 100%;
	height: 80px;
	background-color: var(--accent-color); 
	align-items: center; /* Used vor vertical align */
	
	/* Font */
	font-size: 80px;
	line-height: 80px;
	color: #ffffff;
}

.contact-me {
    grid-column: 4 / span 2;  /* This stays as is for grid layout */
    text-align: right;        /* Aligns text to the right (if any text inside) */
    font-size: 40px;          /* Font size, as specified */
    display: flex;            /* Makes all child divs appear on the same line */
    justify-content: flex-end; /* Aligns all the child divs to the right */
}

.footer-text {
	margin-left: 20px;
	margin-right: -3px;
	font-weight: 300;
}

.footer-text-bold {
	font-weight: 1000;
}

/* Menu styling */
/****************/
.menu {
	grid-column: 1 / span 1;
}

.menu-item {
	margin-bottom: 40px;
}

.menu a {
	display: block;
	font-size: 20px;
}

.menu .link-small {
	margin-top: 20px;
	margin-left: 0px;
	font-size: 12px;
}

.menu p {
	margin-top: 20px;
	margin-left: 0px;
}

/* Content Area - Project Preview */
/**********************************/
.content-area {
	grid-column: 2 / span 4;
	margin-bottom: 60px;
}

.project-list {
	display: grid;
	gap: 20px;
	grid-template-columns: repeat(4, 1fr);
}

.project-container:nth-child(odd) {
	grid-column: 1 / span 2;
	text-align: right;
}

.project-container:nth-child(odd) .image-container{
	margin-top: 20px;
}

.project-container:nth-child(even) {
	grid-column: 3 / span 2;
	margin-top: 124px;	
	text-align: left;
}

.project-container:nth-child(even) .image-container{
	margin-bottom: 20px;
}

.image-container {
    width: 372px; /* Set a fixed width for all images */
    height: 270px; /* Set a fixed height for the container */
    display: flex;
    align-items: center;
    justify-content: center;
}

.image-container img {
	width: 100%;
	height: auto;
	max-height: 100%; /* Ensure image doesn't exceed container height */
	margin-left: auto;
	margin-right: auto;
}

.project-container .heading {
	font-size: 20px;
}

.project-container p {
	margin-top: 20px;
}